function new_seq = convert_PPH_to_PSSequence(P_PH_array)
%CONVERT_PPH_TO_PSSEQUENCE creates PSSequence from array of P or PH objects
%
%   This is a compatibility function. It is needed to convert the sequence
%   data created using old API P and PH classes into a new PSSequence class

% Old API classes support only Pulse Streamer 8/2
import PulseStreamer.hw.PS_D8A2.Sequence;

new_seq = Sequence();
tick = double([P_PH_array.ticks]);
digi = double([P_PH_array.digital]);
ao0 = double([P_PH_array.analog0]);
ao1 = double([P_PH_array.analog1]);

patt = {};
patt(:,1) = num2cell(tick);
patt(:,2) = num2cell(ao0);
new_seq.setAnalog(0, patt);

patt(:,2) = num2cell(ao1);
new_seq.setAnalog(1, patt);

for idx = 1:8
    patt(:,2) = num2cell(bitget(digi, idx));
    new_seq.setDigital(idx-1, patt);
end

end

