classdef OutputState < PulseStreamer.OutputState
    % OutputState class implementation for Pulse Streamer 8/2
    
    methods
        function obj = OutputState(channels, a0, a1)
            
            if ~exist('channels', 'var')
                channels = [];
            end
            
            if ~exist('a0', 'var')
                a0 = 0;
            end
            
            if ~exist('a1', 'var')
                a1 = 0;
            end
            
            assert(isnumeric(channels), 'channels must be a list of channel numbers. Example: [0, 2, 5:7, 3]');
            assert(all(ismember(channels, 0:7)), 'Incorrect digital channel number. Valid channels are: [0:7]');
            assert(abs(a0)<=1, 'Analog channel 0: range of +-1V exceeded');
            assert(abs(a1)<=1, 'Analog channel 1: range of +-1V exceeded');
            
            obj@PulseStreamer.OutputState(channels, a0, a1);
            
        end
    end
end