classdef RLEData
    %RLEDATA Simple data container class
    
    properties
        durations = []; % Level durations, common for all channels 
        dchans = [];    % Digital channel map. channel = dchans(chan_idx)
        achans = [];    % Analog channel map. channel = achans(chan_idx)
        dlvls = [];     % Digital channels data [Nsteps, chan_idx]
        alvls = [];     % Analog channels data [Nsteps, chan_idx]
    end
    
    methods
        function obj = RLEData()
        end
        function TF = isempty(obj)
           TF = isempty(obj.durations); 
           TF = TF & isempty(obj.dchans);
           TF = TF & isempty(obj.achans); 
        end
    end
end
