function ver_cmp = versionCheck(ver_min, ver_curr, ver_max)
% Checks if version is in the given range
% Only major.minor numbers are compared.
% Returns true if ver_min <= ver_curr <= ver_max

if ischar(ver_max)
    ver_max = versionStringToVector(ver_max);
end
if ischar(ver_curr)
    ver_curr = versionStringToVector(ver_curr);
end
if ischar(ver_min)
    ver_min = versionStringToVector(ver_min);
end


% ver_cmp = ver_min(1:2) <= ver_curr(1:2) & ver_curr(1:2) <= ver_max(1:2);

% ver_cmp = -1: version is too old
% ver_cmp = 0:  version ok
% ver_cmp = 1:  version too new
ver_cmp = (ver_min <= ver_curr) - (ver_curr <= ver_max);
end

function ver_num = versionStringToVector(ver_str)
    ver = cellfun(@str2double, split(ver_str, '.'));
    n = min([numel(ver), 2]);
    words = zeros(1, n);
    words(1:n) = ver(1:n);
    ver_num = typecast(flip(uint16(words)), 'uint32');
end