classdef TriggerRearm < uint8
    % TriggerRearm defines how trigger is rearmed.
    % 
    % When TriggerRearm == MANUAL then sequence is streamed only once and
    % the trigger is not rearmed automatically. 
    % Trigger can be rearmed by uploading the sequence again or by calling
    % "PulseStreamer.rearm()" method.
    
    enumeration
        AUTO    (0)  % Trigger is rearmed automatically.
        MANUAL  (1)  % Trigger once only and do no not rearm automatically. Rearm via the rearm() method.
    end
end

